Package org.postgresql.plugin

# Interface AuthenticationPlugin

public interface AuthenticationPlugin

## Method Summary

Modifier and Type
Method
Description
`char @Nullable []`
`getPassword(AuthenticationRequestType type)`
Callback method to provide the password to use for authentication.

## Method Details

### getPassword

char @Nullable [] getPassword(AuthenticationRequestType type) throws PSQLException
Callback method to provide the password to use for authentication.

Implementers can also check the authentication type to ensure that the authentication handshake is using a specific authentication method (e.g. SASL) or avoiding a specific one (e.g. cleartext).

For security reasons, the driver will wipe the contents of the array returned by this method after it has been used for authentication.

Implementers must provide a new array each time this method is invoked as the previous contents will have been wiped.

Parameters:
  `type` - The authentication method that the server is requesting
Returns:
  The password to use or null if no password is available
Throws:
  `PSQLException` - if something goes wrong supplying the password